/* LICENSE BLOCK
Part of mde: a Modular D game-oriented Engine
Copyright © 2007-2009 Diggory Hardy

This program is free software: you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation, either
version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>. */

/******************************************************************************
 * Options enabling/disabling various debugging facilities.
 *****************************************************************************/
module mde.content.Debug;

import mde.content.AStringContent;

/// Wrapper for options
struct Debug {
static:
    /// Log a message everytime the widget under the mouse changes
    BoolContent logUnderMouse;
    BoolContent logPopupPositioning;
    
    static this () {
	logUnderMouse = new BoolContent ("options.Debug.logUnderMouse");
	logPopupPositioning = new BoolContent ("options.Debug.logPopupPositioning");
    }
}
